module Bm25

  module Utils

    class << self

      def separate_words(document)
        nm = Natto::MeCab.new
        data = []
        nm.parse(document) do |n|
          if Bm25::Validator.validate_word(n)
            next
          end
          data << n.surface
        end
        return data
      end

      def separate_document(document)
        docs = document.scan(/[^。^\.^\,\r\n|\n|\r]+/)
        return docs
      end

    end

  end

end
